/*
 * Copyright (c) 2009 Apple Inc. All rights reserved.
 *
 * @APPLE_LICENSE_HEADER_START@
 * 
 * This file contains Original Code and/or Modifications of Original Code
 * as defined in and that are subject to the Apple Public Source License
 * Version 2.0 (the 'License'). You may not use this file except in
 * compliance with the License. Please obtain a copy of the License at
 * http://www.opensource.apple.com/apsl/ and read it before using this
 * file.
 * 
 * The Original Code and all software distributed under the License are
 * distributed on an 'AS IS' basis, WITHOUT WARRANTY OF ANY KIND, EITHER
 * EXPRESS OR IMPLIED, AND APPLE HEREBY DISCLAIMS ALL SUCH WARRANTIES,
 * INCLUDING WITHOUT LIMITATION, ANY WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE, QUIET ENJOYMENT OR NON-INFRINGEMENT.
 * Please see the License for the specific language governing rights and
 * limitations under the License.
 * 
 * @APPLE_LICENSE_HEADER_END@
 */

@class NSString;

NSString * const kCFLocaleAlternateQuotationBeginDelimiterKey = @"kCFLocaleAlternateQuotationBeginDelimiterKey";
NSString * const kCFLocaleAlternateQuotationEndDelimiterKey = @"kCFLocaleAlternateQuotationEndDelimiterKey";
NSString * const kCFLocaleQuotationBeginDelimiterKey = @"kCFLocaleQuotationBeginDelimiterKey";
NSString * const kCFLocaleQuotationEndDelimiterKey = @"kCFLocaleQuotationEndDelimiterKey";
NSString * const kCFLocaleCalendarIdentifierKey = @"calendar"; // ***
NSString * const kCFLocaleCalendarKey = @"kCFLocaleCalendarKey";
NSString * const kCFLocaleCollationIdentifierKey = @"collation"; // ***
NSString * const kCFLocaleCollatorIdentifierKey = @"kCFLocaleCollatorIdentifierKey";
NSString * const kCFLocaleCountryCodeKey = @"kCFLocaleCountryCodeKey";
NSString * const kCFLocaleCurrencyCodeKey = @"currency"; // ***
NSString * const kCFLocaleCurrencySymbolKey = @"kCFLocaleCurrencySymbolKey";
NSString * const kCFLocaleDecimalSeparatorKey = @"kCFLocaleDecimalSeparatorKey";
NSString * const kCFLocaleExemplarCharacterSetKey = @"kCFLocaleExemplarCharacterSetKey";
NSString * const kCFLocaleGroupingSeparatorKey = @"kCFLocaleGroupingSeparatorKey";
NSString * const kCFLocaleIdentifierKey = @"kCFLocaleIdentifierKey";
NSString * const kCFLocaleLanguageCodeKey = @"kCFLocaleLanguageCodeKey";
NSString * const kCFLocaleMeasurementSystemKey = @"kCFLocaleMeasurementSystemKey";
NSString * const kCFLocaleScriptCodeKey = @"kCFLocaleScriptCodeKey";
NSString * const kCFLocaleUsesMetricSystemKey = @"kCFLocaleUsesMetricSystemKey";
NSString * const kCFLocaleVariantCodeKey = @"kCFLocaleVariantCodeKey";

NSString * const kCFDateFormatterAMSymbolKey = @"kCFDateFormatterAMSymbolKey";
NSString * const kCFDateFormatterCalendarKey = @"kCFDateFormatterCalendarKey";
NSString * const kCFDateFormatterCalendarIdentifierKey = @"kCFDateFormatterCalendarIdentifierKey";
NSString * const kCFDateFormatterDefaultDateKey = @"kCFDateFormatterDefaultDateKey";
NSString * const kCFDateFormatterDefaultFormatKey = @"kCFDateFormatterDefaultFormatKey";
NSString * const kCFDateFormatterDoesRelativeDateFormattingKey = @"kCFDateFormatterDoesRelativeDateFormattingKey";
NSString * const kCFDateFormatterEraSymbolsKey = @"kCFDateFormatterEraSymbolsKey";
NSString * const kCFDateFormatterGregorianStartDateKey = @"kCFDateFormatterGregorianStartDateKey";
NSString * const kCFDateFormatterIsLenientKey = @"kCFDateFormatterIsLenientKey";
NSString * const kCFDateFormatterLongEraSymbolsKey = @"kCFDateFormatterLongEraSymbolsKey";
NSString * const kCFDateFormatterMonthSymbolsKey = @"kCFDateFormatterMonthSymbolsKey";
NSString * const kCFDateFormatterPMSymbolKey = @"kCFDateFormatterPMSymbolKey";
NSString * const kCFDateFormatterQuarterSymbolsKey = @"kCFDateFormatterQuarterSymbolsKey";
NSString * const kCFDateFormatterShortMonthSymbolsKey = @"kCFDateFormatterShortMonthSymbolsKey";
NSString * const kCFDateFormatterShortQuarterSymbolsKey = @"kCFDateFormatterShortQuarterSymbolsKey";
NSString * const kCFDateFormatterShortStandaloneMonthSymbolsKey = @"kCFDateFormatterShortStandaloneMonthSymbolsKey";
NSString * const kCFDateFormatterShortStandaloneQuarterSymbolsKey = @"kCFDateFormatterShortStandaloneQuarterSymbolsKey";
NSString * const kCFDateFormatterShortStandaloneWeekdaySymbolsKey = @"kCFDateFormatterShortStandaloneWeekdaySymbolsKey";
NSString * const kCFDateFormatterShortWeekdaySymbolsKey = @"kCFDateFormatterShortWeekdaySymbolsKey";
NSString * const kCFDateFormatterStandaloneMonthSymbolsKey = @"kCFDateFormatterStandaloneMonthSymbolsKey";
NSString * const kCFDateFormatterStandaloneQuarterSymbolsKey = @"kCFDateFormatterStandaloneQuarterSymbolsKey";
NSString * const kCFDateFormatterStandaloneWeekdaySymbolsKey = @"kCFDateFormatterStandaloneWeekdaySymbolsKey";
NSString * const kCFDateFormatterTimeZoneKey = @"kCFDateFormatterTimeZoneKey";
NSString * const kCFDateFormatterTwoDigitStartDateKey = @"kCFDateFormatterTwoDigitStartDateKey";
NSString * const kCFDateFormatterVeryShortMonthSymbolsKey = @"kCFDateFormatterVeryShortMonthSymbolsKey";
NSString * const kCFDateFormatterVeryShortStandaloneMonthSymbolsKey = @"kCFDateFormatterVeryShortStandaloneMonthSymbolsKey";
NSString * const kCFDateFormatterVeryShortStandaloneWeekdaySymbolsKey = @"kCFDateFormatterVeryShortStandaloneWeekdaySymbolsKey";
NSString * const kCFDateFormatterVeryShortWeekdaySymbolsKey = @"kCFDateFormatterVeryShortWeekdaySymbolsKey";
NSString * const kCFDateFormatterWeekdaySymbolsKey = @"kCFDateFormatterWeekdaySymbolsKey";

NSString * const kCFNumberFormatterAlwaysShowDecimalSeparatorKey = @"kCFNumberFormatterAlwaysShowDecimalSeparatorKey";
NSString * const kCFNumberFormatterCurrencyCodeKey = @"kCFNumberFormatterCurrencyCodeKey";
NSString * const kCFNumberFormatterCurrencyDecimalSeparatorKey = @"kCFNumberFormatterCurrencyDecimalSeparatorKey";
NSString * const kCFNumberFormatterCurrencyGroupingSeparatorKey = @"kCFNumberFormatterCurrencyGroupingSeparatorKey";
NSString * const kCFNumberFormatterCurrencySymbolKey = @"kCFNumberFormatterCurrencySymbolKey";
NSString * const kCFNumberFormatterDecimalSeparatorKey = @"kCFNumberFormatterDecimalSeparatorKey";
NSString * const kCFNumberFormatterDefaultFormatKey = @"kCFNumberFormatterDefaultFormatKey";
NSString * const kCFNumberFormatterExponentSymbolKey = @"kCFNumberFormatterExponentSymbolKey";
NSString * const kCFNumberFormatterFormatWidthKey = @"kCFNumberFormatterFormatWidthKey";
NSString * const kCFNumberFormatterGroupingSeparatorKey = @"kCFNumberFormatterGroupingSeparatorKey";
NSString * const kCFNumberFormatterGroupingSizeKey = @"kCFNumberFormatterGroupingSizeKey";
NSString * const kCFNumberFormatterInfinitySymbolKey = @"kCFNumberFormatterInfinitySymbolKey";
NSString * const kCFNumberFormatterInternationalCurrencySymbolKey = @"kCFNumberFormatterInternationalCurrencySymbolKey";
NSString * const kCFNumberFormatterIsLenientKey = @"kCFNumberFormatterIsLenientKey";
NSString * const kCFNumberFormatterMaxFractionDigitsKey = @"kCFNumberFormatterMaxFractionDigitsKey";
NSString * const kCFNumberFormatterMaxIntegerDigitsKey = @"kCFNumberFormatterMaxIntegerDigitsKey";
NSString * const kCFNumberFormatterMaxSignificantDigitsKey = @"kCFNumberFormatterMaxSignificantDigitsKey";
NSString * const kCFNumberFormatterMinFractionDigitsKey = @"kCFNumberFormatterMinFractionDigitsKey";
NSString * const kCFNumberFormatterMinIntegerDigitsKey = @"kCFNumberFormatterMinIntegerDigitsKey";
NSString * const kCFNumberFormatterMinSignificantDigitsKey = @"kCFNumberFormatterMinSignificantDigitsKey";
NSString * const kCFNumberFormatterMinusSignKey = @"kCFNumberFormatterMinusSignKey";
NSString * const kCFNumberFormatterMultiplierKey = @"kCFNumberFormatterMultiplierKey";
NSString * const kCFNumberFormatterNaNSymbolKey = @"kCFNumberFormatterNaNSymbolKey";
NSString * const kCFNumberFormatterNegativePrefixKey = @"kCFNumberFormatterNegativePrefixKey";
NSString * const kCFNumberFormatterNegativeSuffixKey = @"kCFNumberFormatterNegativeSuffixKey";
NSString * const kCFNumberFormatterPaddingCharacterKey = @"kCFNumberFormatterPaddingCharacterKey";
NSString * const kCFNumberFormatterPaddingPositionKey = @"kCFNumberFormatterPaddingPositionKey";
NSString * const kCFNumberFormatterPerMillSymbolKey = @"kCFNumberFormatterPerMillSymbolKey";
NSString * const kCFNumberFormatterPercentSymbolKey = @"kCFNumberFormatterPercentSymbolKey";
NSString * const kCFNumberFormatterPlusSignKey = @"kCFNumberFormatterPlusSignKey";
NSString * const kCFNumberFormatterPositivePrefixKey = @"kCFNumberFormatterPositivePrefixKey";
NSString * const kCFNumberFormatterPositiveSuffixKey = @"kCFNumberFormatterPositiveSuffixKey";
NSString * const kCFNumberFormatterRoundingIncrementKey = @"kCFNumberFormatterRoundingIncrementKey";
NSString * const kCFNumberFormatterRoundingModeKey = @"kCFNumberFormatterRoundingModeKey";
NSString * const kCFNumberFormatterSecondaryGroupingSizeKey = @"kCFNumberFormatterSecondaryGroupingSizeKey";
NSString * const kCFNumberFormatterUseGroupingSeparatorKey = @"kCFNumberFormatterUseGroupingSeparatorKey";
NSString * const kCFNumberFormatterUseSignificantDigitsKey = @"kCFNumberFormatterUseSignificantDigitsKey";
NSString * const kCFNumberFormatterZeroSymbolKey = @"kCFNumberFormatterZeroSymbolKey";

NSString * const kCFCalendarIdentifierGregorian = @"gregorian";
NSString * const kCFCalendarIdentifierBuddhist = @"buddhist";
NSString * const kCFCalendarIdentifierJapanese = @"japanese";
NSString * const kCFCalendarIdentifierIslamic = @"islamic";
NSString * const kCFCalendarIdentifierIslamicCivil = @"islamic-civil";
NSString * const kCFCalendarIdentifierHebrew = @"hebrew";
NSString * const kCFCalendarIdentifierChinese = @"chinese";
NSString * const kCFCalendarIdentifierRepublicOfChina = @"roc";
NSString * const kCFCalendarIdentifierPersian = @"persian";
NSString * const kCFCalendarIdentifierIndian = @"indian";
NSString * const kCFCalendarIdentifierISO8601 = @"";
NSString * const kCFCalendarIdentifierCoptic = @"coptic";
NSString * const kCFCalendarIdentifierEthiopicAmeteMihret = @"ethiopic";
NSString * const kCFCalendarIdentifierEthiopicAmeteAlem = @"ethiopic-amete-alem";
